#
# spec file for package help2man
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           help2man
Version:        1.43.3
Release:        6.15
Summary:        Create Simple Man Pages from --help Output
License:        GPL-3.0+
Group:          Development/Tools/Doc Generators
Url:            http://www.gnu.org/software/help2man/
Source0:        http://ftp.gnu.org/gnu/help2man/%{name}-%{version}.tar.gz
BuildRequires:  perl-gettext
Requires:       perl-gettext
Requires(post): info
Requires(preun): info
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
help2man is a script to create simple man pages from the --help and
--version output of programs.

Since most GNU documentation is now in info format, this provides a way
to generate a placeholder man page pointing to that resource while
still providing some useful information.

%prep
%setup -q

%build
%configure --enable-nls
make %{?_smp_mflags}

%install
%make_install

%find_lang %{name} --with-man

%post
%install_info --info-dir=%{_infodir} %{_infodir}/help2man.info%{ext_info}

%preun
%install_info_delete --info-dir=%{_infodir} %{_infodir}/help2man.info%{ext_info}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING NEWS README THANKS debian/changelog
%{_bindir}/help2man
%{_libdir}/help2man/
%doc %{_infodir}/help2man.info%{ext_info}
%doc %{_mandir}/man1/help2man.1%{ext_man}
%dir %{_mandir}/??
%dir %{_mandir}/??/man1

%changelog
* Tue Jul  9 2013 asterios.dramis@gmail.com
- Update to version 1.43.3:
  * Update translations.
  From 1.43.2:
  * Use the generic term "section" in the documentation rather than "name",
    which could be confused to mean only the literal "NAME" section.
  From 1.43.1:
  * Add explicit include syntax for prepending, replacing or appending to
    generated output for a section (thanks to Daniil Baturin for the idea).
  * Update translations.
  From 1.42.1:
  * Update translations.
  * Consistently strip path and/or libtool "lt-" prefix from any instance
    of $program derived from --help or --version (thanks to Eric Shattow
    for identifying the issue).
  From 1.41.2:
  * Update translations.
* Tue Mar 26 2013 asterios.dramis@gmail.com
- Update to version 1.41.1:
  * Rename configure.in to .ac, and revise use of AC_INIT/AC_OUTPUT macros
    to meet current autoconf guidelines.
  * Add copyright headers to supporting files (GNU All-Permissive License).
  * Fix section name comparisons ($sect is localised).
  * Set filenames in italics.
  * Suppress option/filename handling in EXAMPLES section.
  From 1.40.13:
  * Debian build fixes.
* Sat Oct  6 2012 asterios.dramis@gmail.com
- Update to version 1.40.12:
  * Update Croatian translation.
  * Fix updating of help2man.pot to occur only when help2man.PL is changed, not
    help2man generated.
  From 1.40.11:
  * Add Croatian translation.
* Wed Jun  6 2012 asterios.dramis@gmail.com
- Update to version 1.40.10:
  * Update Greek translation.
  * Update Serbian translation.
  * Update German translation.
- Enabled support for generating localised pages.
* Wed May 23 2012 asterios.dramis@gmail.com
- Update to version 1.40.9:
  * Update Japanese translation.
  * Update Esperanto translation.
  * Update Vietnamese translation.
  * Update German translation.
  From 1.40.8:
  * Update French translation.
  * Update Italian translation.
  * Update Polish translation.
  * Update Russian translation.
  * Update Ukranian translation.
  * Modify self-extracting scripts to output to a temporary file.
  * Ensure that help2man exists before building manual pages.
- Removed "-ggdb" from CFLAGS and CXXFLAGS (no reference was found why this is
  needed).
* Sun Mar 25 2012 asterios.dramis@gmail.com
- Update to version 1.40.7:
  * Update Greek translation.
  From 1.40.6:
  * Fix FSF address in comments.
* Sun Jan  8 2012 asterios.dramis@gmail.com
- Update to version 1.40.5:
  * Clean up some lintian warnings: build-targets, source format and standards
    version.
  * Add Serbian translation.
  * Fix trivial translation changes due to additional copyright year.
  * Minor fix to Italian translation.
* Wed Aug  3 2011 asterios.dramis@gmail.com
- Update to version 1.40.4:
  * Update Brazilian Portuguese translation.
  From 1.40.3:
  * Update Esperanto translation.
  * Update links to git repository.
  From 1.40.2:
  * Remove a superfluous period from texinfo doc.
  * Change footnote about supported languages to a simple paragraph.
  * Update Italian translation.
  * Update Ukrainian translation.
  * Update French translation.
  * Update Japanese translation.
  * Update Russian translation.
  * Update Polish translation.
- Minor spec file updates.
* Sat Jun  4 2011 asterios.dramis@gmail.com
- Update to version 1.40.1:
  * Update texinfo docs.
  * Document --libtool option.
  * Allow date format to be localised.
  * Add Japanese translation.
  * Update Italian translation.
* Tue May  3 2011 asterios.dramis@gmail.com
- Update to version 1.39.3:
  * Add --libtool option to remove `lt-' prefix for libtool programs.
  * Add Italian, Greek, Ukranian, Esperanto translations.
  * Update French, German, Russian, Polish, Finnish translations.
  * Fix Brazilian, Russian and Italian translations.
- Spec file updates:
  * Changes based on rpmdevtools templates and spec-cleaner run.
  * Changed License: to GPLv3+.
  * bindtextdomain.so is now installed correctly.
  * Minor other updates.
* Mon Nov  8 2010 davejplater@gmail.com
- Added "Requires: perl-gettext" after using help2man in build
  service blender build to generate a man page for blenderplayer.
* Sat Nov  6 2010 davejplater@gmail.com
- Update to version 1.38.2
- Upstream changes :
  * Support ENVIRONMENT and FILES sections.
  * Move all translated text into .po files (previously .h2m include
  files were handled seperately).
  * Submit package to the Translation Project (translationproject.org).
  * Add Vietnamese translation.
  * Add some comments for translators.
  * Update GPL to v3.
  * Add --version-string option.
  * Add --no-discard-stderr option.
  * Add line breaks into bug reporting section.
  * Add Brazilian Portuguese and German translations.
  * Select a reasonable configure default for --enable-nls.
  * Revise preload mechanism to not require preloadable libintl.
* Sun Oct 31 2010 jengelh@medozas.de
- Use %%_smp_mflags
* Mon Sep 21 2009 crrodriguez@suse.de
- tag localized man pages correctly
* Mon May 15 2006 schwab@suse.de
- Update to help2man 1.36.4.
  * Add sv translation from Daniel Nylander (closes: #349568).
  * Updated fr translation from Denis Barbier (closes: #338995).
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Nov  2 2005 schwab@suse.de
- Update to help2man 1.36.2.
* Mon Oct 17 2005 schwab@suse.de
- Update to help2man 1.36.1.
* Wed Oct  5 2005 schwab@suse.de
- Update to help2man 1.35.2.
* Thu Sep 29 2005 dmueller@suse.de
- add norootforbuild
* Thu Nov 25 2004 schwab@suse.de
- Update to help2man 1.35.1.
* Wed Nov 24 2004 schwab@suse.de
- Update to help2man 1.34.2.
* Mon Jul 21 2003 schwab@suse.de
- Update to help2man 1.33.1.
* Thu Jul 10 2003 schwab@suse.de
- Compile shared library with -fPIC.
* Thu Jul 10 2003 schwab@suse.de
- Update to help2man 1.31.1.
- Not noarch any more.
* Thu Apr 24 2003 ro@suse.de
- fix install_info --delete call and move from preun to postun
* Mon Apr  7 2003 schwab@suse.de
- Only delete info entries when removing last version.
* Thu Feb  6 2003 schwab@suse.de
- Use %%install_info.
* Tue Sep 17 2002 schwab@suse.de
- Update to help2man 1.29.
* Tue Jun  4 2002 schwab@suse.de
- Update to version 1.28.
  * New option --info-page.
* Sun Mar 10 2002 schwab@suse.de
- Initial version 1.27.
